package cz.fi.muni.pa165.entity;

import cz.fi.muni.pa165.entity.interfaces.ExternalAccess;
import cz.fi.muni.pa165.entity.interfaces.Viewable;
import cz.fi.muni.pa165.enums.CountryEnum;

import javax.persistence.Column;
import javax.persistence.Entity;
import java.util.ArrayList;

@Entity
public class PersonEntity extends BaseEntity implements ExternalAccess, Viewable {

    @Column(nullable = false)
    private String name;

    private int age;

    private CountryEnum country;

    public PersonEntity() {
    }

    public PersonEntity(String name){
        this.name = name;
    }

    public PersonEntity(String name, int age, CountryEnum country){
        this(name);

        this.age = age;
        this.country = country;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public CountryEnum getCountry() {
        return country;
    }

    public void setCountry(CountryEnum country) {
        this.country = country;
    }

    public String getConcreteInformation(){
        return null;
    }

    @Override
    public boolean login() {
        return false;
    }

    @Override
    public boolean changePassword() {
        return false;
    }

    @Override
    public ArrayList<String> getInformation() {
        return null;
    }
}
